searchNodes=[{"ref":"AkeneoApi.html","title":"AkeneoApi","type":"module","doc":""},{"ref":"AkeneoApi.html#start/2","title":"AkeneoApi.start/2","type":"function","doc":"Called when an application is started. This function is called when an application is started using Application.start/2 (and functions on top of that, such as Application.ensure_started/2). This function should start the top-level process of the application (which should be the top supervisor of the application&#39;s supervision tree if the application follows the OTP design principles around supervision). start_type defines how the application is started: :normal - used if the startup is a normal startup or if the application is distributed and is started on the current node because of a failover from another node and the application specification key :start_phases is :undefined. {:takeover, node} - used if the application is distributed and is started on the current node because of a failover on the node node. {:failover, node} - used if the application is distributed and is started on the current node because of a failover on node node, and the application specification key :start_phases is not :undefined. start_args are the arguments passed to the application in the :mod specification key (e.g., mod: {MyApp, [:my_args]}). This function should either return {:ok, pid} or {:ok, pid, state} if startup is successful. pid should be the PID of the top supervisor. state can be an arbitrary term, and if omitted will default to []; if the application is later stopped, state is passed to the stop/1 callback (see the documentation for the c:stop/1 callback for more information). use Application provides no default implementation for the start/2 callback. Callback implementation for Application.start/2."},{"ref":"AkeneoApi.Connection.html","title":"AkeneoApi.Connection","type":"module","doc":""},{"ref":"AkeneoApi.Connection.html#child_spec/1","title":"AkeneoApi.Connection.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"AkeneoApi.Connection.html#delete/2","title":"AkeneoApi.Connection.delete/2","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#get/2","title":"AkeneoApi.Connection.get/2","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#get_state/1","title":"AkeneoApi.Connection.get_state/1","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#get_token/1","title":"AkeneoApi.Connection.get_token/1","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#patch/4","title":"AkeneoApi.Connection.patch/4","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#post/4","title":"AkeneoApi.Connection.post/4","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#put/4","title":"AkeneoApi.Connection.put/4","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#refresh_token/1","title":"AkeneoApi.Connection.refresh_token/1","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#schedule_refresh/1","title":"AkeneoApi.Connection.schedule_refresh/1","type":"function","doc":""},{"ref":"AkeneoApi.Connection.html#start_link/2","title":"AkeneoApi.Connection.start_link/2","type":"function","doc":""},{"ref":"AkeneoApi.Connection.State.html","title":"AkeneoApi.Connection.State","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.html","title":"AkeneoApi.Endpoint","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.html#get_documentation/0","title":"AkeneoApi.Endpoint.get_documentation/0","type":"function","doc":""},{"ref":"AkeneoApi.Endpoint.html#get_documentation/1","title":"AkeneoApi.Endpoint.get_documentation/1","type":"function","doc":""},{"ref":"AkeneoApi.Endpoint.html#get_url/3","title":"AkeneoApi.Endpoint.get_url/3","type":"function","doc":""},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html","title":"AkeneoApi.Endpoint.V1.AssetCategories","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html#get_asset_categories/0","title":"AkeneoApi.Endpoint.V1.AssetCategories.get_asset_categories/0","type":"function","doc":"This endpoint allows you to get a list of asset categories. Asset categories are paginated and sorted by root/left."},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html#get_asset_categories/1","title":"AkeneoApi.Endpoint.V1.AssetCategories.get_asset_categories/1","type":"function","doc":"This endpoint allows you to get the information about a given asset category."},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html#patch_asset_categories/0","title":"AkeneoApi.Endpoint.V1.AssetCategories.patch_asset_categories/0","type":"function","doc":"This endpoint allows you to update several asset categories at once."},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html#patch_asset_categories/1","title":"AkeneoApi.Endpoint.V1.AssetCategories.patch_asset_categories/1","type":"function","doc":"This endpoint allows you to update several asset categories at once."},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html#patch_asset_categories/2","title":"AkeneoApi.Endpoint.V1.AssetCategories.patch_asset_categories/2","type":"function","doc":"This endpoint allows you to update a given asset category. Know more about Update behavior. Note that if no category exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html#post_asset_categories/0","title":"AkeneoApi.Endpoint.V1.AssetCategories.post_asset_categories/0","type":"function","doc":"This endpoint allows you to create a new asset category."},{"ref":"AkeneoApi.Endpoint.V1.AssetCategories.html#post_asset_categories/1","title":"AkeneoApi.Endpoint.V1.AssetCategories.post_asset_categories/1","type":"function","doc":"This endpoint allows you to create a new asset category."},{"ref":"AkeneoApi.Endpoint.V1.AssetTags.html","title":"AkeneoApi.Endpoint.V1.AssetTags","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.AssetTags.html#get_asset_tags/0","title":"AkeneoApi.Endpoint.V1.AssetTags.get_asset_tags/0","type":"function","doc":"This endpoint allows you to get a list of asset tags. Asset tags are paginated."},{"ref":"AkeneoApi.Endpoint.V1.AssetTags.html#get_asset_tags/1","title":"AkeneoApi.Endpoint.V1.AssetTags.get_asset_tags/1","type":"function","doc":"This endpoint allows you to get the information about a given asset tag."},{"ref":"AkeneoApi.Endpoint.V1.AssetTags.html#patch_asset_tags/2","title":"AkeneoApi.Endpoint.V1.AssetTags.patch_asset_tags/2","type":"function","doc":"This endpoint allows you to update a given asset tag. Know more about Update behavior. Note that if no tag exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html","title":"AkeneoApi.Endpoint.V1.Assets","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#get_assets/0","title":"AkeneoApi.Endpoint.V1.Assets.get_assets/0","type":"function","doc":"This endpoint allows you to get a list of assets. Assets are paginated."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#get_assets/1","title":"AkeneoApi.Endpoint.V1.Assets.get_assets/1","type":"function","doc":"This endpoint allows you to get the information about a given asset."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#get_reference_files/2","title":"AkeneoApi.Endpoint.V1.Assets.get_reference_files/2","type":"function","doc":"This endpoint allows you to get the information about a reference file of a given asset."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#get_reference_files__channel_codedownload/2","title":"AkeneoApi.Endpoint.V1.Assets.get_reference_files__channel_codedownload/2","type":"function","doc":"This endpoint allows you to download a given reference file."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#get_variation_fileslocale_code/3","title":"AkeneoApi.Endpoint.V1.Assets.get_variation_fileslocale_code/3","type":"function","doc":"This endpoint allows you to get the information about a variation file of a given asset."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#get_variation_fileslocale_code__download/3","title":"AkeneoApi.Endpoint.V1.Assets.get_variation_fileslocale_code__download/3","type":"function","doc":"This endpoint allows you to download a given variation file."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#patch_assets/0","title":"AkeneoApi.Endpoint.V1.Assets.patch_assets/0","type":"function","doc":"This endpoint allows you to update several assets at once."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#patch_assets/1","title":"AkeneoApi.Endpoint.V1.Assets.patch_assets/1","type":"function","doc":"This endpoint allows you to update several assets at once."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#patch_assets/2","title":"AkeneoApi.Endpoint.V1.Assets.patch_assets/2","type":"function","doc":"This endpoint allows you to update a given asset. Know more about Update behavior. Note that if no asset exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#post_assets/0","title":"AkeneoApi.Endpoint.V1.Assets.post_assets/0","type":"function","doc":"This endpoint allows you to create a new asset."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#post_assets/1","title":"AkeneoApi.Endpoint.V1.Assets.post_assets/1","type":"function","doc":"This endpoint allows you to create a new asset."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#post_reference_files/2","title":"AkeneoApi.Endpoint.V1.Assets.post_reference_files/2","type":"function","doc":"This endpoint allows you to upload a new reference file for a given asset and locale. It will also automatically generate all the variation files corresponding to this reference file."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#post_reference_files/3","title":"AkeneoApi.Endpoint.V1.Assets.post_reference_files/3","type":"function","doc":"This endpoint allows you to upload a new reference file for a given asset and locale. It will also automatically generate all the variation files corresponding to this reference file."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#post_variation_fileslocale_code_/3","title":"AkeneoApi.Endpoint.V1.Assets.post_variation_fileslocale_code_/3","type":"function","doc":"This endpoint allows you to upload a new variation file for a given asset, channel and locale."},{"ref":"AkeneoApi.Endpoint.V1.Assets.html#post_variation_fileslocale_code_/4","title":"AkeneoApi.Endpoint.V1.Assets.post_variation_fileslocale_code_/4","type":"function","doc":"This endpoint allows you to upload a new variation file for a given asset, channel and locale."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html","title":"AkeneoApi.Endpoint.V1.AssociationTypes","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#association_types_get/1","title":"AkeneoApi.Endpoint.V1.AssociationTypes.association_types_get/1","type":"function","doc":"This endpoint allows you to get the information about a given association type."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#association_types_get_list/0","title":"AkeneoApi.Endpoint.V1.AssociationTypes.association_types_get_list/0","type":"function","doc":"This endpoint allows you to get a list of association types. Association types are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#association_types_get_list/1","title":"AkeneoApi.Endpoint.V1.AssociationTypes.association_types_get_list/1","type":"function","doc":"This endpoint allows you to get a list of association types. Association types are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#association_types_patch/2","title":"AkeneoApi.Endpoint.V1.AssociationTypes.association_types_patch/2","type":"function","doc":"This endpoint allows you to update a given association type. Know more about Update behavior. Note that if no association type exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#association_types_post/0","title":"AkeneoApi.Endpoint.V1.AssociationTypes.association_types_post/0","type":"function","doc":"This endpoint allows you to create a new association type."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#association_types_post/1","title":"AkeneoApi.Endpoint.V1.AssociationTypes.association_types_post/1","type":"function","doc":"This endpoint allows you to create a new association type."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#several_association_types_patch/0","title":"AkeneoApi.Endpoint.V1.AssociationTypes.several_association_types_patch/0","type":"function","doc":"This endpoint allows you to update and/or create several association types at once."},{"ref":"AkeneoApi.Endpoint.V1.AssociationTypes.html#several_association_types_patch/1","title":"AkeneoApi.Endpoint.V1.AssociationTypes.several_association_types_patch/1","type":"function","doc":"This endpoint allows you to update and/or create several association types at once."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html","title":"AkeneoApi.Endpoint.V1.AttributeGroups","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#attribute_groups_get/1","title":"AkeneoApi.Endpoint.V1.AttributeGroups.attribute_groups_get/1","type":"function","doc":"This endpoint allows you to get the information about a given attribute group."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#attribute_groups_get_list/0","title":"AkeneoApi.Endpoint.V1.AttributeGroups.attribute_groups_get_list/0","type":"function","doc":"This endpoint allows you to get a list of attribute groups. Attribute groups are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#attribute_groups_get_list/1","title":"AkeneoApi.Endpoint.V1.AttributeGroups.attribute_groups_get_list/1","type":"function","doc":"This endpoint allows you to get a list of attribute groups. Attribute groups are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#attribute_groups_patch/2","title":"AkeneoApi.Endpoint.V1.AttributeGroups.attribute_groups_patch/2","type":"function","doc":"This endpoint allows you to update a given attribute group. Know more about Update behavior. Note that if no attribute group exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#attribute_groups_post/0","title":"AkeneoApi.Endpoint.V1.AttributeGroups.attribute_groups_post/0","type":"function","doc":"This endpoint allows you to create a new attribute group."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#attribute_groups_post/1","title":"AkeneoApi.Endpoint.V1.AttributeGroups.attribute_groups_post/1","type":"function","doc":"This endpoint allows you to create a new attribute group."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#several_attribute_groups_patch/0","title":"AkeneoApi.Endpoint.V1.AttributeGroups.several_attribute_groups_patch/0","type":"function","doc":"This endpoint allows you to update and/or create several attribute groups at once."},{"ref":"AkeneoApi.Endpoint.V1.AttributeGroups.html#several_attribute_groups_patch/1","title":"AkeneoApi.Endpoint.V1.AttributeGroups.several_attribute_groups_patch/1","type":"function","doc":"This endpoint allows you to update and/or create several attribute groups at once."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html","title":"AkeneoApi.Endpoint.V1.Attributes","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#get_attributes/0","title":"AkeneoApi.Endpoint.V1.Attributes.get_attributes/0","type":"function","doc":"This endpoint allows you to get a list of attributes. Attributes are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#get_attributes/1","title":"AkeneoApi.Endpoint.V1.Attributes.get_attributes/1","type":"function","doc":"This endpoint allows you to get the information about a given attribute."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#get_attributesoptions/1","title":"AkeneoApi.Endpoint.V1.Attributes.get_attributesoptions/1","type":"function","doc":"This endpoint allows you to get a list of attribute options. Attribute options are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#get_attributesoptions/2","title":"AkeneoApi.Endpoint.V1.Attributes.get_attributesoptions/2","type":"function","doc":"This endpoint allows you to get the information about a given attribute option."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#patch_attributes/0","title":"AkeneoApi.Endpoint.V1.Attributes.patch_attributes/0","type":"function","doc":"This endpoint allows you to update and/or create several attributes at once."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#patch_attributes/1","title":"AkeneoApi.Endpoint.V1.Attributes.patch_attributes/1","type":"function","doc":"This endpoint allows you to update and/or create several attributes at once."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#patch_attributes/2","title":"AkeneoApi.Endpoint.V1.Attributes.patch_attributes/2","type":"function","doc":"This endpoint allows you to update a given attribute. Know more about Update behavior. Note that if no attribute exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#patch_attributesoptions/1","title":"AkeneoApi.Endpoint.V1.Attributes.patch_attributesoptions/1","type":"function","doc":"This endpoint allows you to update several attribute options at once."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#patch_attributesoptions/2","title":"AkeneoApi.Endpoint.V1.Attributes.patch_attributesoptions/2","type":"function","doc":"This endpoint allows you to update several attribute options at once."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#patch_attributesoptions/3","title":"AkeneoApi.Endpoint.V1.Attributes.patch_attributesoptions/3","type":"function","doc":"This endpoint allows you to update a given attribute option. Know more about Update behavior. Note that if no attribute option exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#post_attributes/0","title":"AkeneoApi.Endpoint.V1.Attributes.post_attributes/0","type":"function","doc":"This endpoint allows you to create a new attribute."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#post_attributes/1","title":"AkeneoApi.Endpoint.V1.Attributes.post_attributes/1","type":"function","doc":"This endpoint allows you to create a new attribute."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#post_attributesoptions/1","title":"AkeneoApi.Endpoint.V1.Attributes.post_attributesoptions/1","type":"function","doc":"This endpoint allows you to create a new attribute option."},{"ref":"AkeneoApi.Endpoint.V1.Attributes.html#post_attributesoptions/2","title":"AkeneoApi.Endpoint.V1.Attributes.post_attributesoptions/2","type":"function","doc":"This endpoint allows you to create a new attribute option."},{"ref":"AkeneoApi.Endpoint.V1.Categories.html","title":"AkeneoApi.Endpoint.V1.Categories","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Categories.html#get_categories/0","title":"AkeneoApi.Endpoint.V1.Categories.get_categories/0","type":"function","doc":"This endpoint allows you to get a list of categories. Categories are paginated and sorted by root/left."},{"ref":"AkeneoApi.Endpoint.V1.Categories.html#get_categories/1","title":"AkeneoApi.Endpoint.V1.Categories.get_categories/1","type":"function","doc":"This endpoint allows you to get the information about a given category."},{"ref":"AkeneoApi.Endpoint.V1.Categories.html#patch_categories/0","title":"AkeneoApi.Endpoint.V1.Categories.patch_categories/0","type":"function","doc":"This endpoint allows you to update several categories at once."},{"ref":"AkeneoApi.Endpoint.V1.Categories.html#patch_categories/1","title":"AkeneoApi.Endpoint.V1.Categories.patch_categories/1","type":"function","doc":"This endpoint allows you to update several categories at once."},{"ref":"AkeneoApi.Endpoint.V1.Categories.html#patch_categories/2","title":"AkeneoApi.Endpoint.V1.Categories.patch_categories/2","type":"function","doc":"This endpoint allows you to update a given category. Know more about Update behavior. Note that if no category exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Categories.html#post_categories/0","title":"AkeneoApi.Endpoint.V1.Categories.post_categories/0","type":"function","doc":"This endpoint allows you to create a new category."},{"ref":"AkeneoApi.Endpoint.V1.Categories.html#post_categories/1","title":"AkeneoApi.Endpoint.V1.Categories.post_categories/1","type":"function","doc":"This endpoint allows you to create a new category."},{"ref":"AkeneoApi.Endpoint.V1.Channels.html","title":"AkeneoApi.Endpoint.V1.Channels","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Channels.html#channels_patch/2","title":"AkeneoApi.Endpoint.V1.Channels.channels_patch/2","type":"function","doc":"This endpoint allows you to update a given channel. Know more about Update behavior. Note that if no channel exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Channels.html#channels_post/0","title":"AkeneoApi.Endpoint.V1.Channels.channels_post/0","type":"function","doc":"This endpoint allows you to create a new channel."},{"ref":"AkeneoApi.Endpoint.V1.Channels.html#channels_post/1","title":"AkeneoApi.Endpoint.V1.Channels.channels_post/1","type":"function","doc":"This endpoint allows you to create a new channel."},{"ref":"AkeneoApi.Endpoint.V1.Channels.html#get_channels/0","title":"AkeneoApi.Endpoint.V1.Channels.get_channels/0","type":"function","doc":"This endpoint allows you to get a list of channels. Channels are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Channels.html#get_channels/1","title":"AkeneoApi.Endpoint.V1.Channels.get_channels/1","type":"function","doc":"This endpoint allows you to get the information about a given channel."},{"ref":"AkeneoApi.Endpoint.V1.Channels.html#several_channels_patch/0","title":"AkeneoApi.Endpoint.V1.Channels.several_channels_patch/0","type":"function","doc":"This endpoint allows you to update and/or create several channels at once."},{"ref":"AkeneoApi.Endpoint.V1.Channels.html#several_channels_patch/1","title":"AkeneoApi.Endpoint.V1.Channels.several_channels_patch/1","type":"function","doc":"This endpoint allows you to update and/or create several channels at once."},{"ref":"AkeneoApi.Endpoint.V1.Currencies.html","title":"AkeneoApi.Endpoint.V1.Currencies","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Currencies.html#currencies_get/1","title":"AkeneoApi.Endpoint.V1.Currencies.currencies_get/1","type":"function","doc":"This endpoint allows you to get the information about a given currency."},{"ref":"AkeneoApi.Endpoint.V1.Currencies.html#currencies_get_list/0","title":"AkeneoApi.Endpoint.V1.Currencies.currencies_get_list/0","type":"function","doc":"This endpoint allows you to get a list of currencies. Currencies are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Currencies.html#currencies_get_list/1","title":"AkeneoApi.Endpoint.V1.Currencies.currencies_get_list/1","type":"function","doc":"This endpoint allows you to get a list of currencies. Currencies are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Families.html","title":"AkeneoApi.Endpoint.V1.Families","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Families.html#get_families/0","title":"AkeneoApi.Endpoint.V1.Families.get_families/0","type":"function","doc":"This endpoint allows you to get a list of families. Families are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#get_families/1","title":"AkeneoApi.Endpoint.V1.Families.get_families/1","type":"function","doc":"This endpoint allows you to get the information about a given family."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#get_familiesvariants/1","title":"AkeneoApi.Endpoint.V1.Families.get_familiesvariants/1","type":"function","doc":"This endpoint allows you to get a list of family variants. Family variants are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#get_familiesvariants/2","title":"AkeneoApi.Endpoint.V1.Families.get_familiesvariants/2","type":"function","doc":"This endpoint allows you to get the information about a given family variant."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#patch_families/0","title":"AkeneoApi.Endpoint.V1.Families.patch_families/0","type":"function","doc":"This endpoint allows you to update and/or create several families at once."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#patch_families/1","title":"AkeneoApi.Endpoint.V1.Families.patch_families/1","type":"function","doc":"This endpoint allows you to update and/or create several families at once."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#patch_families/2","title":"AkeneoApi.Endpoint.V1.Families.patch_families/2","type":"function","doc":"This endpoint allows you to update a given family. Know more about Update behavior. Note that if no family exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#patch_familiesvariants/1","title":"AkeneoApi.Endpoint.V1.Families.patch_familiesvariants/1","type":"function","doc":"This endpoint allows you to update and/or create several family variants at once, for a given family."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#patch_familiesvariants/2","title":"AkeneoApi.Endpoint.V1.Families.patch_familiesvariants/2","type":"function","doc":"This endpoint allows you to update and/or create several family variants at once, for a given family."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#patch_familiesvariants/3","title":"AkeneoApi.Endpoint.V1.Families.patch_familiesvariants/3","type":"function","doc":"This endpoint allows you to update a given family variant. Know more about Update behavior. Note that if no family variant exists for the given code, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#post_families/0","title":"AkeneoApi.Endpoint.V1.Families.post_families/0","type":"function","doc":"This endpoint allows you to create a new family."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#post_families/1","title":"AkeneoApi.Endpoint.V1.Families.post_families/1","type":"function","doc":"This endpoint allows you to create a new family."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#post_familiesvariants/1","title":"AkeneoApi.Endpoint.V1.Families.post_familiesvariants/1","type":"function","doc":"This endpoint allows you to create a family variant."},{"ref":"AkeneoApi.Endpoint.V1.Families.html#post_familiesvariants/2","title":"AkeneoApi.Endpoint.V1.Families.post_familiesvariants/2","type":"function","doc":"This endpoint allows you to create a family variant."},{"ref":"AkeneoApi.Endpoint.V1.Locales.html","title":"AkeneoApi.Endpoint.V1.Locales","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Locales.html#get_locales/0","title":"AkeneoApi.Endpoint.V1.Locales.get_locales/0","type":"function","doc":"This endpoint allows you to get a list of locales. Locales are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.Locales.html#get_locales/1","title":"AkeneoApi.Endpoint.V1.Locales.get_locales/1","type":"function","doc":"This endpoint allows you to get the information about a given locale."},{"ref":"AkeneoApi.Endpoint.V1.MeasureFamilies.html","title":"AkeneoApi.Endpoint.V1.MeasureFamilies","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.MeasureFamilies.html#measure_families_get/1","title":"AkeneoApi.Endpoint.V1.MeasureFamilies.measure_families_get/1","type":"function","doc":"This endpoint allows you to get the information about a given measure family."},{"ref":"AkeneoApi.Endpoint.V1.MeasureFamilies.html#measure_families_get_list/0","title":"AkeneoApi.Endpoint.V1.MeasureFamilies.measure_families_get_list/0","type":"function","doc":"This endpoint allows you to get a list of measure families. Measure families are paginated and sorted by code."},{"ref":"AkeneoApi.Endpoint.V1.MediaFiles.html","title":"AkeneoApi.Endpoint.V1.MediaFiles","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.MediaFiles.html#get_media_files/0","title":"AkeneoApi.Endpoint.V1.MediaFiles.get_media_files/0","type":"function","doc":"This endpoint allows you to get a list of media files that are used as attribute values in products or product models."},{"ref":"AkeneoApi.Endpoint.V1.MediaFiles.html#get_media_files/1","title":"AkeneoApi.Endpoint.V1.MediaFiles.get_media_files/1","type":"function","doc":"This endpoint allows you to get the information about a given media file that is used as an attribute value of a product or a product model."},{"ref":"AkeneoApi.Endpoint.V1.MediaFiles.html#get_media_filesdownload/1","title":"AkeneoApi.Endpoint.V1.MediaFiles.get_media_filesdownload/1","type":"function","doc":"This endpoint allows you to download a given media file that is used as an attribute value of a product or a product model."},{"ref":"AkeneoApi.Endpoint.V1.MediaFiles.html#post_media_files/0","title":"AkeneoApi.Endpoint.V1.MediaFiles.post_media_files/0","type":"function","doc":"This endpoint allows you to create a new media file and associate it to an attribute value of a given product or product model."},{"ref":"AkeneoApi.Endpoint.V1.MediaFiles.html#post_media_files/1","title":"AkeneoApi.Endpoint.V1.MediaFiles.post_media_files/1","type":"function","doc":"This endpoint allows you to create a new media file and associate it to an attribute value of a given product or product model."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html","title":"AkeneoApi.Endpoint.V1.ProductModels","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#get_product_model_draft/1","title":"AkeneoApi.Endpoint.V1.ProductModels.get_product_model_draft/1","type":"function","doc":"This endpoint allows you to get the information about a given product model draft."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#get_product_models/0","title":"AkeneoApi.Endpoint.V1.ProductModels.get_product_models/0","type":"function","doc":"This endpoint allows you to get a list of product models. Product models are paginated. In the Enterprise Edition, since the 2.0, permissions based on your user groups are applied to the set of products you request."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#get_product_models/1","title":"AkeneoApi.Endpoint.V1.ProductModels.get_product_models/1","type":"function","doc":"This endpoint allows you to get the information about a given product model. In the Entreprise Edition, since the v2.0, permissions based on your user groups are applied to the product model you request."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#patch_product_models/0","title":"AkeneoApi.Endpoint.V1.ProductModels.patch_product_models/0","type":"function","doc":"This endpoint allows you to update and/or create several product models at once. Learn more about Update behavior. Note that if no product models exists for the given code, it creates it. In the Enterprise Edition, since the v2.3, permissions based on your user groups are applied to the product models you try to update. It may result in the creation of drafts if you only have edit rights through the product model&#39;s categories."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#patch_product_models/1","title":"AkeneoApi.Endpoint.V1.ProductModels.patch_product_models/1","type":"function","doc":"This endpoint allows you to update and/or create several product models at once. Learn more about Update behavior. Note that if no product models exists for the given code, it creates it. In the Enterprise Edition, since the v2.3, permissions based on your user groups are applied to the product models you try to update. It may result in the creation of drafts if you only have edit rights through the product model&#39;s categories."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#patch_product_models/2","title":"AkeneoApi.Endpoint.V1.ProductModels.patch_product_models/2","type":"function","doc":"This endpoint allows you to update a given product model. Learn more about Update behavior. Note that if no product model exists for the given code, it creates it. In the Enterprise Edition PIM since the 2.3, permissions based on your user groups are applied to the product model you try to update. It may result in the creation of a draft if you only have edit rights through the product model&#39;s categories."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#post_product_model_proposal/1","title":"AkeneoApi.Endpoint.V1.ProductModels.post_product_model_proposal/1","type":"function","doc":"This endpoint allows you to submit a product model draft for approval."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#post_product_models/0","title":"AkeneoApi.Endpoint.V1.ProductModels.post_product_models/0","type":"function","doc":"This endpoint allows you to create a new product model. In the Enterprise Edition, since the v2.3, permissions based on your user groups are applied to the product model you try to create."},{"ref":"AkeneoApi.Endpoint.V1.ProductModels.html#post_product_models/1","title":"AkeneoApi.Endpoint.V1.ProductModels.post_product_models/1","type":"function","doc":"This endpoint allows you to create a new product model. In the Enterprise Edition, since the v2.3, permissions based on your user groups are applied to the product model you try to create."},{"ref":"AkeneoApi.Endpoint.V1.Products.html","title":"AkeneoApi.Endpoint.V1.Products","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.Products.html#delete_products/1","title":"AkeneoApi.Endpoint.V1.Products.delete_products/1","type":"function","doc":"This endpoint allows you to delete a given product. In the Enterprise Edition, since the 2.0, permissions based on your user groups are applied to the product you try to delete."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#get_draft/1","title":"AkeneoApi.Endpoint.V1.Products.get_draft/1","type":"function","doc":"This endpoint allows you to get the information about a given draft."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#get_products/0","title":"AkeneoApi.Endpoint.V1.Products.get_products/0","type":"function","doc":"This endpoint allows you to get a list of products. Products are paginated and they can be filtered. In the Enterprise Edition, since the 2.0, permissions based on your user groups are applied to the set of products you request."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#get_products/1","title":"AkeneoApi.Endpoint.V1.Products.get_products/1","type":"function","doc":"This endpoint allows you to get the information about a given product. In the Entreprise Edition, since the v2.0, permissions based on your user groups are applied to the product you request."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#patch_products/0","title":"AkeneoApi.Endpoint.V1.Products.patch_products/0","type":"function","doc":"This endpoint allows you to update and/or create several products at once. Learn more about Update behavior. Note that if no product exists for the given identifier, it creates it. In the Enterprise Edition, since the v2.0, permissions based on your user groups are applied to the products you try to update. It may result in the creation of drafts if you only have edit rights through the product&#39;s categories."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#patch_products/1","title":"AkeneoApi.Endpoint.V1.Products.patch_products/1","type":"function","doc":"This endpoint allows you to update and/or create several products at once. Learn more about Update behavior. Note that if no product exists for the given identifier, it creates it. In the Enterprise Edition, since the v2.0, permissions based on your user groups are applied to the products you try to update. It may result in the creation of drafts if you only have edit rights through the product&#39;s categories."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#patch_products/2","title":"AkeneoApi.Endpoint.V1.Products.patch_products/2","type":"function","doc":"This endpoint allows you to update a given product. Learn more about Update behavior. Note that if no product exists for the given identifier, it creates it. In the Entreprise Edition, since the v2.0, permissions based on your user groups are applied to the product you try to update. It may result in the creation of a draft if you only have edit rights through the product&#39;s categories."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#post_products/0","title":"AkeneoApi.Endpoint.V1.Products.post_products/0","type":"function","doc":"This endpoint allows you to create a new product. In the Enterprise Edition, since the v2.0, permissions based on your user groups are applied to the product you try to create."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#post_products/1","title":"AkeneoApi.Endpoint.V1.Products.post_products/1","type":"function","doc":"This endpoint allows you to create a new product. In the Enterprise Edition, since the v2.0, permissions based on your user groups are applied to the product you try to create."},{"ref":"AkeneoApi.Endpoint.V1.Products.html#post_proposal/1","title":"AkeneoApi.Endpoint.V1.Products.post_proposal/1","type":"function","doc":"This endpoint allows you to submit a draft for approval."},{"ref":"AkeneoApi.Endpoint.V1.PublishedProducts.html","title":"AkeneoApi.Endpoint.V1.PublishedProducts","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.PublishedProducts.html#get_published_products/0","title":"AkeneoApi.Endpoint.V1.PublishedProducts.get_published_products/0","type":"function","doc":"This endpoint allows you to get a list of published products. Published products are paginated and they can be filtered."},{"ref":"AkeneoApi.Endpoint.V1.PublishedProducts.html#get_published_products/1","title":"AkeneoApi.Endpoint.V1.PublishedProducts.get_published_products/1","type":"function","doc":"This endpoint allows you to get the information about a given published product."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html","title":"AkeneoApi.Endpoint.V1.ReferenceEntities","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entities/0","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entities/0","type":"function","doc":"This endpoint allows you to get a list of reference entities. Reference entities are paginated."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entities/1","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entities/1","type":"function","doc":"This endpoint allows you to get the information about a given reference entity."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entities__code__attributes/1","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entities__code__attributes/1","type":"function","doc":"This endpoint allows you to get the list of attributes of a given reference entity."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entity_attributes/2","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entity_attributes/2","type":"function","doc":"This endpoint allows you to get the information about a given attribute for a given reference entity."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entity_attributesoptions/2","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entity_attributesoptions/2","type":"function","doc":"This endpoint allows you to get a list of attribute options for a given reference entity. Reference entity attribute options are paginated."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entity_attributesoptions/3","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entity_attributesoptions/3","type":"function","doc":"This endpoint allows you to get the information about a given attribute option."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entity_records/1","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entity_records/1","type":"function","doc":"This endpoint allows you to get a list of records of a given reference entity. Records are paginated and can be filtered."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#get_reference_entity_records/2","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.get_reference_entity_records/2","type":"function","doc":"This endpoint allows you to get the information about a given record for a given reference entity."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#patch_reference_entity/2","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.patch_reference_entity/2","type":"function","doc":"This endpoint allows you to update a given reference entity. Note that if the reference entity does not already exist, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#patch_reference_entity_attributes/3","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.patch_reference_entity_attributes/3","type":"function","doc":"This endpoint allows you to update a given attribute for a given renference entity. Note that if the attribute does not already exist for the given reference entity, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#patch_reference_entity_attributesoptions/4","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.patch_reference_entity_attributesoptions/4","type":"function","doc":"This endpoint allows you to update a given option for a given attribute and a given reference entity. Learn more about Update behavior. Note that if the option does not already exist for the given attribute of the given reference entity, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#patch_reference_entity_records/2","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.patch_reference_entity_records/2","type":"function","doc":"This endpoint allows you to update and/or create several records of one given reference entity at once. Learn more about Update behavior. Note that if the record does not already exist for the given reference entity, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntities.html#patch_reference_entity_records/3","title":"AkeneoApi.Endpoint.V1.ReferenceEntities.patch_reference_entity_records/3","type":"function","doc":"This endpoint allows you to update a given record of a given renference entity. Learn more about Update behavior. Note that if the record does not already exist for the given reference entity, it creates it."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles.html","title":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles","type":"module","doc":""},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles.html#get_reference_entity_media_files/1","title":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles.get_reference_entity_media_files/1","type":"function","doc":"This endpoint allows you to download a given media file that is associated with a reference entity or a record."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles.html#post_reference_entity_media_files/0","title":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles.post_reference_entity_media_files/0","type":"function","doc":"This endpoint allows you to create a new media file and associate it to the image of a reference entity, or to the main image or to an attribute value of a record."},{"ref":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles.html#post_reference_entity_media_files/1","title":"AkeneoApi.Endpoint.V1.ReferenceEntitiesMediaFiles.post_reference_entity_media_files/1","type":"function","doc":"This endpoint allows you to create a new media file and associate it to the image of a reference entity, or to the main image or to an attribute value of a record."},{"ref":"AkeneoApi.OAuth2.Strategy.html","title":"AkeneoApi.OAuth2.Strategy","type":"module","doc":""},{"ref":"AkeneoApi.OAuth2.Strategy.html#authorize_url/2","title":"AkeneoApi.OAuth2.Strategy.authorize_url/2","type":"function","doc":"Not used for this strategy."},{"ref":"AkeneoApi.OAuth2.Strategy.html#get_token/3","title":"AkeneoApi.OAuth2.Strategy.get_token/3","type":"function","doc":"Retrieve an access token given the specified End User username and password."},{"ref":"AkeneoApi.Utils.Curry.html","title":"AkeneoApi.Utils.Curry","type":"module","doc":""},{"ref":"AkeneoApi.Utils.Curry.html#curry/1","title":"AkeneoApi.Utils.Curry.curry/1","type":"function","doc":""},{"ref":"AkeneoApi.Utils.Curry.html#curry/3","title":"AkeneoApi.Utils.Curry.curry/3","type":"function","doc":""},{"ref":"AkeneoApi.Utils.Map.html","title":"AkeneoApi.Utils.Map","type":"module","doc":""},{"ref":"AkeneoApi.Utils.Map.html#deep_merge/2","title":"AkeneoApi.Utils.Map.deep_merge/2","type":"function","doc":""}]